Subject: yes, why @NN?!(was :Re: .def files for stdcall functions )
From: [email-masked] (J Russell Smyth)

12 Sep 1997 23:23:40 -0700
Message-ID: <[email-masked]>
References: <01BCBF89.A3905060@gbird0>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "'GNU-Win32'" <[email-masked]>

Colin Peters wrote:

> My beef with all this is: why does GCC do it this way at all? What
> purpose
> does the @NN serve? After all, GCC knows how to generate the correct
> function call given a prototype, it *generates* the @NN, so it doesn't
>
> need it to know what to do. I don't think any other compilers add on
> @NN
> to the names of WINAPI functions like this. Why doesn't GCC just use
> the
> plain function name and call it with PASCAL calling convention?
> Someone
> please enlighten me.

 I too have wondered about this .. as I have been attempting to create
dll's that
can be used with other languages, mainly Visual Basic, I have found this
frustrating
and annoying! to create a dll for use with VB and gcc, I must create all
functions with
the @NN and alias all of them to non-@NN names for VB!  One quickview of

ANY M$ dll shows that microsofts dll's do not contain this info, where
cygwin does,
causing great grief for other-language-programmers.

This problem is also encountered with LCC which I use extensively...

   Russ Smyth
   [email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".